Permalink
Browse files

Fix kconfig warning by making two packages which select FREETZ_PACKAG…

…E_PPPD

dependent on FREETZ_REPLACE_KERNEL (refs #1532):
{{{
warning: (FREETZ_PACKAGE_PPPD_CHAT && FREETZ_PACKAGE_PPTP && FREETZ_PACKAGE_PPTPD && FREETZ_PACKAGE_SYNCE_SERIAL)
    selects FREETZ_PACKAGE_PPPD which has unmet direct dependencies
    (FREETZ_REPLACE_KERNEL && (FREETZ_PACKAGE_PPPD_CHAT || FREETZ_PACKAGE_PPTP || FREETZ_PACKAGE_PPTPD || FREETZ_PACKAGE_SYNCE_SERIAL))
}}}


git-svn-id: file:///var/svn/freetz/trunk@7860 149334a1-2f27-0410-a3b9-fc62619ac1e6
  • Loading branch information...
1 parent 54ee5ac commit ceb8e1e31f807f86184c5d71a8535046fb0e0186 kriegaex committed Oct 19, 2011
Showing with 2 additions and 0 deletions.
  1. +1 −0 make/pppd/Config.in
  2. +1 −0 make/synce-serial/Config.in
View
1 make/pppd/Config.in
@@ -16,6 +16,7 @@ config FREETZ_PACKAGE_PPPD
config FREETZ_PACKAGE_PPPD_CHAT
bool "pppd chat"
+ depends on FREETZ_REPLACE_KERNEL
select FREETZ_PACKAGE_PPPD
default n
help
View
1 make/synce-serial/Config.in
@@ -1,5 +1,6 @@
config FREETZ_PACKAGE_SYNCE_SERIAL
bool "SynCE serial 0.10.0 (binary only)"
+ depends on FREETZ_REPLACE_KERNEL
select FREETZ_PACKAGE_PPPD
select FREETZ_PACKAGE_SYNCE_DCCM
default n

0 comments on commit ceb8e1e

Please sign in to comment.